# Uses of Interface
org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager

Packages that use InternalCDOBranchManager
Package
Description
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOBranchManager in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch that return InternalCDOBranchManager
Modifier and Type
Method
Description
`static InternalCDOBranchManager`
CDOBranchUtil.`createBranchManager()`
`InternalCDOBranchManager`
InternalCDOBranch.`getBranchManager()`

## Uses of InternalCDOBranchManager in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalCDOBranchManager
Modifier and Type
Method
Description
`InternalCDOBranchManager`
InternalRepository.`getBranchManager()`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalCDOBranchManager
Modifier and Type
Method
Description
`void`
InternalRepository.`initMainBranch(InternalCDOBranchManager branchManager, long timeStamp)`
`void`
InternalRepository.`setBranchManager(InternalCDOBranchManager branchManager)`

## Uses of InternalCDOBranchManager in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOBranchManager
Modifier and Type
Method
Description
`InternalCDOBranchManager`
InternalCDOSession.`getBranchManager()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOBranchManager
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setBranchManager(InternalCDOBranchManager branchManager)`